Docs
Upsert Advance Task Status Mapping
PUT /advanceTaskStatusMapping
PUT
/advanceTaskStatusMappingCreates or replaces the event's advance task status mapping (not started, needs review, done, archived). All four ids must be task statuses of this event, from ProjectManagement_GetStatuses, and the caller needs project management admin rights. The first time it is saved it also backfills tracking tasks for tracked event attributes.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| notStartedStatusId | uuid | Optional | |
| needsReviewStatusId | uuid | Optional | |
| doneStatusId | uuid | Optional | |
| archivedStatusId | uuid | Optional |